import { FileStatusResult } from 'simple-git';
declare class MetadataUtils {
    static listMetadatasNotManagedBySfdx(): string[];
    static getCurrentOrg(): Promise<any>;
    static listLocalOrgs(type?: string, options?: any): Promise<any>;
    static listInstalledPackages(orgAlias: string | null | undefined, commandThis: any): Promise<any[]>;
    static installPackagesOnOrg(packages: any[], orgAlias?: string | null, commandThis?: any, context?: string): Promise<void>;
    static retrieveMetadatas(packageXml: string, metadataFolder: string, checkEmpty: boolean, filteredMetadatas: string[], options: any | undefined, commandThis: any, orgUsername: string, debug: boolean): Promise<void>;
    static promptMetadataTypes(): Promise<any>;
    static listChangedFiles(): Promise<FileStatusResult[]>;
    static listChangedOrFromCurrentCommitFiles(): Promise<FileStatusResult[]>;
    static getMetadataPrettyNames(metadataFilePaths: string[], bold?: boolean): Map<string, string>;
    static findMetaFileFromTypeAndName(packageXmlType: string, packageXmlName: string, packageDirectories?: any[]): Promise<string | null>;
    static promptFlow(): Promise<any>;
    static promptMultipleFlows(): Promise<any>;
}
export { MetadataUtils };
